|  | Home | Documentation | Class Members updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

- All
- Functions
- Variables
- Typedefs

- _
- b
- c
- d
- e
- f
- g
- h
- i
- m
- n
- o
- p
- r
- s
- v

Here is a list of all class members with links to the classes they belong to:

### - _ -

- __any : value
- __ptr : _base64 , _rawdata
- __size : _base64 , _rawdata , _struct , data , params
- __type : value
- _array() : _array
- _base64() : _base64
- _rawdata() : _rawdata
- _struct() : _struct

### - b -

- begin() : _array , _struct , params , value

### - c -

- clear() : value
- const_iterator : _array , _struct , params , value

### - d -

- data : _array

### - e -

- empty() : _array , _struct , params , value
- end() : _array , _struct , params , value
- error() : methodCall

### - f -

- fault() : methodCall , methodResponse

### - g -

- get_fault() : methodResponse

### - h -

- has() : value

### - i -

- is_array() : value
- is_base64() : value
- is_bool() : value
- is_dateTime() : value
- is_double() : value
- is_false() : value
- is_int() : value
- is_null() : value
- is_number() : value
- is_rawdata() : value
- is_string() : value
- is_struct() : value
- is_true() : value
- iterator : _array , _struct , params , value

### - m -

- member : _struct
- methodCall() : methodCall
- methodEndpoint : methodCall
- methodName : methodCall
- methodResponse : methodCall , methodResponse

### - n -

- name : member , methodCall
- nth() : value

### - o -

- operator _double() : value
- operator _i4() : value
- operator _int() : value
- operator char *() : value
- operator const struct _array &() : value
- operator const struct _base64 &() : value
- operator const struct _rawdata &() : value
- operator const struct _struct &() : value
- operator extern bool() : value
- operator std::string() : value
- operator std::wstring() : value
- operator struct _array &() : value
- operator struct _base64 &() : value
- operator struct _rawdata &() : value
- operator struct _struct &() : value
- operator ULONG64() : value
- operator wchar_t *() : value
- operator()() : methodCall
- operator=() : _array , _struct , value
- operator[]() : _array , _struct , methodCall , methodResponse , params , value

### - p -

- param : params
- params : methodCall , methodResponse , params
- ptr() : _base64 , _rawdata

### - r -

- recv() : methodCall , methodResponse
- ref : value
- response() : methodCall

### - s -

- send() : methodCall , methodResponse
- set_fault() : methodResponse
- size() : _array , _base64 , _rawdata , _struct , params , value
- soap : _array , _struct , methodCall , methodResponse , params , value

### - v -

- value : data , fault , member , param , value